Search marketplace restaurants
curl --request GET \
--url https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/marketplace/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/marketplace/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/marketplace/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"_id": "<string>",
"storeId": "<string>",
"websiteId": "<string>",
"baseURL": "<string>",
"websiteName": "<string>",
"websiteMarketplaceStagingMode": true,
"description": "<string>",
"foodCategoriesTags": [
"<string>"
],
"foodCategoriesCodes": [
"<string>"
],
"searchWords": [
"<string>"
],
"averageReview": 123,
"reviewsCount": "<string>",
"hasManagedDelivery": true,
"logo": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"image": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"cityId": "<string>",
"cookingTime": 123,
"currentDeliveryDuration": 123,
"currentPickupDuration": 123,
"address": {
"placeId": "<string>",
"streetAddress": "<string>",
"extendedAddress": "<string>",
"location": {
"lat": -33.43219757080078,
"lng": -70.59982299804688
},
"locality": "<string>",
"countryName": "<string>"
},
"disableNowOrders": true,
"closedMessage": "<string>",
"dataForPlace": {
"distance": 123,
"orderDuration": 123,
"outOfBounds": true
},
"featuredProducts": [
{
"_id": "<string>",
"name": "<string>",
"image": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"price": 123,
"basePrice": 123,
"available": true,
"notAvailableMessage": "<string>",
"path": "<string>"
}
],
"matchedProducts": [
{
"_id": "<string>",
"name": "<string>",
"thumbnailURL": "<string>"
}
]
}
],
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}Marketplace
Search marketplace restaurants
Busca restaurantes marketplace usando la dirección seleccionada del customer.
GET
/
ordering
/
customers
/
{externalCustomerId}
/
marketplace
/
search
Search marketplace restaurants
Authorizations
JWT Token
Path Parameters
ID del customer en el sistema externo. Es independiente por app.
Query Parameters
Texto de búsqueda.
Página de resultados.
Cantidad máxima de resultados por página.
⌘I